@import url("https://fonts.googleapis.com/css?family=Roboto");
:root {
  font-size: 16px; }

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box; }

header {
  text-align: center;
  font-size: 5em;
  position: relative; }
  @media screen and (max-width: 380px) {
    header {
      position: static; } }
  header .settingsButton {
    position: absolute;
    top: 20px;
    right: 20px; }
    header .settingsButton button {
      position: absolute;
      top: 0;
      right: 0;
      background: transparent;
      border: none;
      color: #fff;
      text-shadow: 0 0 5px #666;
      font-size: 1.5rem; }
      @media screen and (max-width: 380px) {
        header .settingsButton button.hideSettings {
          text-shadow: none;
          color: #666; } }
    header .settingsButton .hideSettings {
      display: none; }

.page {
  transition: all .5s;
  overflow: hidden;
  background-color: #ccc; }

button {
  margin: 15px auto 20px auto;
  background-color: #666;
  transition: all .5s;
  color: #fff;
  padding: 8px;
  border: none; }
  button a {
    text-decoration: none;
    color: #fff;
    display: inline-block;
    font-size: .8rem; }
  button:hover, button:focus {
    background-color: #aaa;
    color: #333; }
    button:hover a, button:focus a {
      color: #333; }

.wrapper {
  background-size: cover;
  min-height: 100vh;
  width: 100vw;
  background-position: 50%;
  background-attachment: fixed;
  color: #fff;
  text-shadow: 0 0 5px #666;
  font-family: 'Roboto', sans-serif;
  box-shadow: 0 0 10px #333;
  z-index: 999;
  position: relative; }
  @media screen and (max-width: 380px) {
    .wrapper {
      position: static; } }
  .wrapper#bg-1 {
    background-image: url(../img/bg-wolf.jpg); }
  .wrapper#bg-2 {
    background-image: url(../img/bg-canyon.jpg); }
  .wrapper#bg-3 {
    background-image: url(../img/bg-house.jpg); }
  .wrapper#bg-4 {
    background-image: url(../img/bg-mountain.jpg); }
  .wrapper#bg-5 {
    background-image: url(../img/bg-nature.jpg); }
  .wrapper#bg-6 {
    background-image: url(../img/bg-railroad-tracks.jpg); }

.fl {
  float: left; }

.xsmall {
  font-size: .3em;
  font-weight: normal; }

main {
  margin: auto; }
  main .search-field {
    width: 80%;
    margin: auto; }
    main .search-field input {
      color: #666;
      padding: 12px 7px;
      border-radius: 10px;
      width: 100%; }
  main .error {
    text-align: center;
    font-size: 1.3rem;
    width: 100%; }

.currentTime {
  text-align: center;
  margin-top: 50px;
  margin-bottom: 30px; }
  .currentTime .date {
    font-size: .8rem; }
  .currentTime .hour {
    font-size: 5rem;
    font-weight: bold; }

.reposHeadline h3 {
  padding: 7px 15px;
  margin: 15px 0;
  background-color: rgba(80, 80, 80, 0.3);
  color: #fff;
  text-shadow: none; }

.repositories {
  overflow: hidden;
  margin-top: 30px;
  font-size: 1rem;
  display: flex; }
  .repositories h3 {
    margin-bottom: 10px; }
    .repositories h3 .lang {
      font-size: .5rem; }
  .repositories .flexbox-item {
    min-width: 300px;
    background-color: rgba(255, 255, 255, 0.6);
    padding: 15px;
    margin: 10px;
    color: #666;
    text-shadow: none;
    font-size: .7rem;
    position: relative;
    border-radius: 10px; }
    .repositories .flexbox-item .stars {
      position: absolute;
      bottom: 0;
      background-color: rgba(255, 255, 255, 0.6);
      padding: 5px 0;
      width: 100%;
      margin-left: -15px;
      border-bottom-left-radius: 10px;
      border-bottom-right-radius: 10px; }
      .repositories .flexbox-item .stars i {
        margin-left: 7px;
        font-size: .7rem; }

.settings {
  float: right;
  width: 320px;
  transition: all .5s;
  background-color: #CACDCB;
  height: 100vh;
  padding: 20px;
  margin-right: -320px;
  font-family: 'Roboto', sans-serif;
  color: #666;
  font-size: .85rem; }
  @media screen and (max-width: 380px) {
    .settings {
      width: 100vw;
      margin-right: -100vw; } }
  .settings h3 {
    margin-bottom: 10px;
    font-weight: normal;
    font-size: 1.1rem;
    color: #333; }
  .settings .chooseUser input[type='text'] {
    background: transparent;
    width: 90%;
    border: none;
    border-bottom: 1px solid #666;
    color: #666;
    font-style: italic;
    margin: 6px 0; }
  .settings .chooseUser #newGithubUserBttn {
    width: 8%;
    margin-left: 2%;
    border: 1px solid #666;
    border-radius: 5px;
    display: inline-block;
    text-align: center;
    padding: 2px 0;
    background-color: #ddd; }
  .settings .settingsElement {
    margin: 10px 0; }
  .settings .selectBackground {
    display: flex;
    flex-wrap: wrap; }
    .settings .selectBackground .bgImgSelect {
      display: inline-block;
      width: 45%;
      margin: 2%;
      position: relative;
      height: 67px;
      overflow: hidden; }
      .settings .selectBackground .bgImgSelect input {
        position: absolute;
        top: 5px;
        left: 5px; }
      .settings .selectBackground .bgImgSelect img {
        max-width: 100%; }
